﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;

namespace WinGridGroupingSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            this.ultraGrid1.DataSource = GenerateDataSet();
            UltraGridColumn c = ultraGrid1.DisplayLayout.Bands[0].Columns["id"];
            c.GroupByComparer = new MyComp();
        }

        private DataSet GenerateDataSet()
        {
            DataSet dataSet = new DataSet();
            DataTable firstDataTable = new DataTable();

            firstDataTable.Columns.Add("id", typeof(int)).AutoIncrement = true;
            for (int i = 0; i < 3; i++)
            {
                  firstDataTable.Columns.Add(string.Format("Col{0}", i));
            }

            DataTable secondDataTable = new DataTable();
            
            secondDataTable.Columns.Add("pid", typeof(int));
            secondDataTable.Columns.Add("id", typeof(int)).AutoIncrement = true;
           
            for (int i = 0; i < 5; i++)
            {
                secondDataTable.Columns.Add(string.Format("Col{0}", i), typeof(string)).Expression = "'Test Text'+[id]";
            }

            dataSet.Tables.Add(firstDataTable);


            for (int i = 1; i <= 10; i++)
            {
                for (int j = i; j < 10; j++)
                {
                    DataRow row = firstDataTable.Rows.Add(i - 1, String.Format("Price {0}", j), "Random String", "Random String");
                }

            }

            return dataSet;
        }
    }
}
